package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HousingTrust;


/**
*  service接口类
*/
public interface HousingTrustService{

    List<HousingTrust> getHousingTrustList(HousingTrust record);

    List<HousingTrust> getHousingTrustByPage(Page page, HousingTrust record);

    HousingTrust getHousingTrustById(String id);

    HousingTrust getHousingTrust(HousingTrust record);

    boolean createHousingTrust(HousingTrust record);

    boolean deleteHousingTrust(String id);

    boolean updateHousingTrust(HousingTrust record);
}

